Index: branches/version-2_12-dev/data/class/db/SC_DB_MasterData.php
===================================================================
--- branches/version-2_12-dev/data/class/db/SC_DB_MasterData.php	(revision 22206)
+++ branches/version-2_12-dev/data/class/db/SC_DB_MasterData.php	(revision 22567)
@@ -42,5 +42,6 @@
  * @version $Id:SC_DB_MasterData.php 15532 2007-08-31 14:39:46Z nanasess $
  */
-class SC_DB_MasterData {
+class SC_DB_MasterData 
+{
 
     // {{{ properties
@@ -70,5 +71,6 @@
      * @return array マスターデータ
      */
-    function getMasterData($name, $columns = array()) {
+    function getMasterData($name, $columns = array())
+    {
 
         $columns = $this->getDefaultColumnName($columns);
@@ -102,5 +104,6 @@
      * @return integer マスターデータの登録数
      */
-    function registMasterData($name, $columns, $masterData, $autoCommit = true) {
+    function registMasterData($name, $columns, $masterData, $autoCommit = true)
+    {
 
         $columns = $this->getDefaultColumnName($columns);
@@ -137,5 +140,6 @@
      * @return integer マスターデータの更新数
      */
-    function updateMasterData($name, $columns, $masterData, $autoCommit = true) {
+    function updateMasterData($name, $columns, $masterData, $autoCommit = true)
+    {
 
         $columns = $this->getDefaultColumnName($columns);
@@ -171,5 +175,6 @@
      * @return integer マスターデータの更新数
      */
-    function insertMasterData($name, $key, $value, $comment, $autoCommit = true) {
+    function insertMasterData($name, $key, $value, $comment, $autoCommit = true)
+    {
 
         $columns = $this->getDefaultColumnName();
@@ -203,5 +208,6 @@
      * @return integer マスターデータの削除数
      */
-    function deleteMasterData($name, $autoCommit = true) {
+    function deleteMasterData($name, $autoCommit = true)
+    {
         $this->objQuery =& SC_Query_Ex::getSingletonInstance();
         if ($autoCommit) {
@@ -225,5 +231,6 @@
      * @return bool 消去した場合 true
      */
-    function clearCache($name) {
+    function clearCache($name)
+    {
         $masterDataFile = MASTER_DATA_REALDIR . $name . '.php';
         if (is_file($masterDataFile)) {
@@ -252,5 +259,6 @@
      * @return bool キャッシュの生成に成功した場合 true
      */
-    function createCache($name, $columns = array(), $isDefine = false, $commentColumn = array()) {
+    function createCache($name, $columns = array(), $isDefine = false, $commentColumn = array())
+    {
 
         // マスターデータを取得
@@ -301,5 +309,6 @@
      * @return array マスターデータ
      */
-    function getDbMasterData($name, $columns = array()) {
+    function getDbMasterData($name, $columns = array())
+    {
 
         $columns = $this->getDefaultColumnName($columns);
@@ -333,5 +342,6 @@
      * @return array カラム名を格納した配列
      */
-    function getDefaultColumnName($columns = array()) {
+    function getDefaultColumnName($columns = array())
+    {
 
         if (!empty($columns)) {
@@ -350,5 +360,6 @@
      * @return string 定数定義の文字列
      */
-    function getMasterDataAsDefine($masterData, $comments = array()) {
+    function getMasterDataAsDefine($masterData, $comments = array())
+    {
         $data = '';
         foreach ($masterData as $key => $val) {
Index: branches/version-2_12-dev/data/class/db/SC_DB_DBFactory.php
===================================================================
--- branches/version-2_12-dev/data/class/db/SC_DB_DBFactory.php	(revision 22206)
+++ branches/version-2_12-dev/data/class/db/SC_DB_DBFactory.php	(revision 22567)
@@ -29,5 +29,6 @@
  * @version $Id:SC_DB_DBFactory.php 15532 2007-08-31 14:39:46Z nanasess $
  */
-class SC_DB_DBFactory {
+class SC_DB_DBFactory 
+{
 
     /**
@@ -37,5 +38,6 @@
      * @return mixed DBFactory インスタンス
      */
-    function getInstance($db_type = DB_TYPE) {
+    function getInstance($db_type = DB_TYPE)
+    {
         switch ($db_type) {
             case 'mysql':
@@ -60,5 +62,6 @@
      * @return mixed データソース名またはDB接続パラメータの連想配列
      */
-    function getDSN($dsn = '') {
+    function getDSN($dsn = '')
+    {
         if (empty($dsn)) {
             if (defined('DEFAULT_DSN')) {
@@ -84,5 +87,6 @@
      * @return string データベースのバージョン
      */
-    function sfGetDBVersion($dsn = '') { return null; }
+    function sfGetDBVersion($dsn = '')
+    { return null; }
 
     /**
@@ -92,5 +96,6 @@
      * @return string MySQL 用に置換した SQL 文
      */
-    function sfChangeMySQL($sql) { return null; }
+    function sfChangeMySQL($sql)
+    { return null; }
 
     /**
@@ -100,5 +105,6 @@
      * @return string 昨日の売上高・売上件数を算出する SQL
      */
-    function getOrderYesterdaySql($method) { return null; }
+    function getOrderYesterdaySql($method)
+    { return null; }
 
     /**
@@ -108,5 +114,6 @@
      * @return string 当月の売上高・売上件数を算出する SQL
      */
-    function getOrderMonthSql($method) { return null; }
+    function getOrderMonthSql($method)
+    { return null; }
 
     /**
@@ -115,5 +122,6 @@
      * @return string 昨日のレビュー書き込み件数を算出する SQL
      */
-    function getReviewYesterdaySql() { return null; }
+    function getReviewYesterdaySql()
+    { return null; }
 
     /**
@@ -122,5 +130,6 @@
      * @return string 検索条件の SQL
      */
-    function getSendHistoryWhereStartdateSql() { return null; }
+    function getSendHistoryWhereStartdateSql()
+    { return null; }
 
     /**
@@ -129,5 +138,6 @@
      * @return string 検索条件の SQL
      */
-    function getDownloadableDaysWhereSql() { return null; }
+    function getDownloadableDaysWhereSql()
+    { return null; }
 
     /**
@@ -137,5 +147,6 @@
      * @return string 連結後の SQL 文
      */
-    function concatColumn($columns) { return null; }
+    function concatColumn($columns)
+    { return null; }
 
     /**
@@ -148,5 +159,6 @@
      * @return array テーブル名の配列
      */
-    function findTableNames($expression = '') { return array(); }
+    function findTableNames($expression = '')
+    { return array(); }
 
     /**
@@ -159,5 +171,6 @@
      * @return array インデックス設定情報配列
      */
-    function sfGetCreateIndexDefinition($table, $name, $definition) { return $definition; }
+    function sfGetCreateIndexDefinition($table, $name, $definition)
+    { return $definition; }
 
     /**
@@ -167,5 +180,6 @@
      * @return void
      */
-    function initObjQuery(SC_Query &$objQuery) {
+    function initObjQuery(SC_Query &$objQuery)
+    {
     }
 
@@ -175,5 +189,6 @@
      * @return array テーブル名の配列
      */
-    function listTables(SC_Query &$objQuery) {
+    function listTables(SC_Query &$objQuery)
+    {
         $objManager =& $objQuery->conn->loadModule('Manager');
         return $objManager->listTables();
Index: branches/version-2_12-dev/data/class/db/dbfactory/SC_DB_DBFactory_PGSQL.php
===================================================================
--- branches/version-2_12-dev/data/class/db/dbfactory/SC_DB_DBFactory_PGSQL.php	(revision 22206)
+++ branches/version-2_12-dev/data/class/db/dbfactory/SC_DB_DBFactory_PGSQL.php	(revision 22567)
@@ -33,5 +33,6 @@
  * @version $Id:SC_DB_DBFactory_PGSQL.php 15532 2007-08-31 14:39:46Z nanasess $
  */
-class SC_DB_DBFactory_PGSQL extends SC_DB_DBFactory {
+class SC_DB_DBFactory_PGSQL extends SC_DB_DBFactory 
+{
 
     /**
@@ -41,5 +42,6 @@
      * @return string データベースのバージョン
      */
-    function sfGetDBVersion($dsn = '') {
+    function sfGetDBVersion($dsn = '')
+    {
         $objQuery =& SC_Query_Ex::getSingletonInstance($dsn);
         $val = $objQuery->getOne('select version()');
@@ -57,5 +59,6 @@
      * @return string MySQL 用に置換した SQL 文
      */
-    function sfChangeMySQL($sql) {
+    function sfChangeMySQL($sql)
+    {
         return $sql;
     }
@@ -67,5 +70,6 @@
      * @return string 昨日の売上高・売上件数を算出する SQL
      */
-    function getOrderYesterdaySql($method) {
+    function getOrderYesterdaySql($method)
+    {
         return 'SELECT '.$method.'(total) FROM dtb_order '
                . 'WHERE del_flg = 0 '
@@ -80,5 +84,6 @@
      * @return string 当月の売上高・売上件数を算出する SQL
      */
-    function getOrderMonthSql($method) {
+    function getOrderMonthSql($method)
+    {
         return 'SELECT '.$method.'(total) FROM dtb_order '
                . 'WHERE del_flg = 0 '
@@ -93,5 +98,6 @@
      * @return string 昨日のレビュー書き込み件数を算出する SQL
      */
-    function getReviewYesterdaySql() {
+    function getReviewYesterdaySql()
+    {
         return 'SELECT COUNT(*) FROM dtb_review AS A '
                . 'LEFT JOIN dtb_products AS B '
@@ -108,5 +114,6 @@
      * @return string 検索条件の SQL
      */
-    function getSendHistoryWhereStartdateSql() {
+    function getSendHistoryWhereStartdateSql()
+    {
         return "start_date BETWEEN current_timestamp + '- 5 minutes' AND current_timestamp + '5 minutes'";
     }
@@ -118,5 +125,6 @@
      * @return string 検索条件の SQL
      */
-    function getDownloadableDaysWhereSql($dtb_order_alias = 'dtb_order') {
+    function getDownloadableDaysWhereSql($dtb_order_alias = 'dtb_order')
+    {
         $baseinfo = SC_Helper_DB_Ex::sfGetBasisData();
         //downloadable_daysにNULLが入っている場合(無期限ダウンロード可能時)もあるので、NULLの場合は0日に補正
@@ -145,5 +153,6 @@
      * @return string 検索条件のSQL
      */
-    function getOrderTotalDaysWhereSql($type) {
+    function getOrderTotalDaysWhereSql($type)
+    {
         switch ($type) {
             case 'month':
@@ -181,5 +190,6 @@
      * @return string 年代抽出部分の SQL
      */
-    function getOrderTotalAgeColSql() {
+    function getOrderTotalAgeColSql()
+    {
         return 'TRUNC(CAST(EXTRACT(YEAR FROM AGE(create_date, order_birth)) AS INT), -1)';
     }
@@ -191,5 +201,6 @@
      * @return string 連結後の SQL 文
      */
-    function concatColumn($columns) {
+    function concatColumn($columns)
+    {
         $sql = '';
         $i = 0;
@@ -214,5 +225,6 @@
      * @return array テーブル名の配列
      */
-    function findTableNames($expression = '') {
+    function findTableNames($expression = '')
+    {
         $objQuery =& SC_Query_Ex::getSingletonInstance();
         $sql = '   SELECT c.relname AS name, '
@@ -238,5 +250,6 @@
      * @return array 文字コード情報
      */
-    function getCharSet() {
+    function getCharSet()
+    {
         // 未実装
         return array();
@@ -248,5 +261,6 @@
      * @return string
      */
-    function getDummyFromClauseSql() {
+    function getDummyFromClauseSql()
+    {
         return '';
     }
@@ -258,5 +272,6 @@
      * @return array テーブル名の配列
      */
-    function listTables(SC_Query &$objQuery) {
+    function listTables(SC_Query &$objQuery)
+    {
         $col = 'tablename';
         $from = 'pg_tables';
Index: branches/version-2_12-dev/data/class/db/dbfactory/SC_DB_DBFactory_MYSQL.php
===================================================================
--- branches/version-2_12-dev/data/class/db/dbfactory/SC_DB_DBFactory_MYSQL.php	(revision 22206)
+++ branches/version-2_12-dev/data/class/db/dbfactory/SC_DB_DBFactory_MYSQL.php	(revision 22567)
@@ -33,5 +33,6 @@
  * @version $Id:SC_DB_DBFactory_MYSQL.php 15267 2007-08-09 12:31:52Z nanasess $
  */
-class SC_DB_DBFactory_MYSQL extends SC_DB_DBFactory {
+class SC_DB_DBFactory_MYSQL extends SC_DB_DBFactory 
+{
 
     /** SC_Query インスタンス */
@@ -44,5 +45,6 @@
      * @return string データベースのバージョン
      */
-    function sfGetDBVersion($dsn = '') {
+    function sfGetDBVersion($dsn = '')
+    {
         $objQuery =& SC_Query_Ex::getSingletonInstance($dsn);
         $val = $objQuery->getOne('select version()');
@@ -57,5 +59,6 @@
      * @return string MySQL 用に置換した SQL 文
      */
-    function sfChangeMySQL($sql) {
+    function sfChangeMySQL($sql)
+    {
         // 改行、タブを1スペースに変換
         $sql = preg_replace("/[\r\n\t]/",' ',$sql);
@@ -76,5 +79,6 @@
      * @return array 文字コード情報
      */
-    function getCharSet() {
+    function getCharSet()
+    {
         $objQuery =& SC_Query_Ex::getSingletonInstance();
         $arrRet = $objQuery->getAll("SHOW VARIABLES LIKE 'char%'");
@@ -88,5 +92,6 @@
      * @return string 昨日の売上高・売上件数を算出する SQL
      */
-    function getOrderYesterdaySql($method) {
+    function getOrderYesterdaySql($method)
+    {
         return 'SELECT ' . $method . '(total) FROM dtb_order '
                . 'WHERE del_flg = 0 '
@@ -101,5 +106,6 @@
      * @return string 当月の売上高・売上件数を算出する SQL
      */
-    function getOrderMonthSql($method) {
+    function getOrderMonthSql($method)
+    {
         return 'SELECT '.$method.'(total) FROM dtb_order '
                . 'WHERE del_flg = 0 '
@@ -114,5 +120,6 @@
      * @return string 昨日のレビュー書き込み件数を算出する SQL
      */
-    function getReviewYesterdaySql() {
+    function getReviewYesterdaySql()
+    {
         return 'SELECT COUNT(*) FROM dtb_review AS A '
                . 'LEFT JOIN dtb_products AS B '
@@ -129,5 +136,6 @@
      * @return string 検索条件の SQL
      */
-    function getSendHistoryWhereStartdateSql() {
+    function getSendHistoryWhereStartdateSql()
+    {
         return 'start_date BETWEEN date_add(CURRENT_TIMESTAMP,INTERVAL -5 minute) AND date_add(CURRENT_TIMESTAMP,INTERVAL 5 minute)';
     }
@@ -139,5 +147,6 @@
      * @return string 検索条件の SQL
      */
-    function getDownloadableDaysWhereSql($dtb_order_alias = 'dtb_order') {
+    function getDownloadableDaysWhereSql($dtb_order_alias = 'dtb_order')
+    {
         return '(SELECT IF((SELECT d1.downloadable_days_unlimited FROM dtb_baseinfo d1)=1, 1, DATE(CURRENT_TIMESTAMP) <= DATE(DATE_ADD(' . $dtb_order_alias . '.payment_date, INTERVAL (SELECT downloadable_days FROM dtb_baseinfo) DAY))))';
     }
@@ -149,5 +158,6 @@
      * @return string 検索条件のSQL
      */
-    function getOrderTotalDaysWhereSql($type) {
+    function getOrderTotalDaysWhereSql($type)
+    {
         switch ($type) {
             case 'month':
@@ -185,5 +195,6 @@
      * @return string 年代抽出部分の SQL
      */
-    function getOrderTotalAgeColSql() {
+    function getOrderTotalAgeColSql()
+    {
         return 'TRUNC((YEAR(create_date) - YEAR(order_birth)) - (RIGHT(create_date, 5) < RIGHT(order_birth, 5)), -1)';
     }
@@ -195,5 +206,6 @@
      * @return string 連結後の SQL 文
      */
-    function concatColumn($columns) {
+    function concatColumn($columns)
+    {
         $sql = 'concat(';
         $i = 0;
@@ -218,5 +230,6 @@
      * @return array テーブル名の配列
      */
-    function findTableNames($expression = '') {
+    function findTableNames($expression = '')
+    {
         $objQuery =& SC_Query_Ex::getSingletonInstance();
         $sql = 'SHOW TABLES LIKE '. $objQuery->quote('%' . $expression . '%');
@@ -233,5 +246,6 @@
      * @return string 変換後の SQL 文
      */
-    function sfChangeILIKE($sql) {
+    function sfChangeILIKE($sql)
+    {
         $changesql = preg_replace('/(^|[^\w])ILIKE([^\w]|$)/i', '$1LIKE$2', $sql);
         return $changesql;
@@ -245,5 +259,6 @@
      * @return string 変換後の SQL 文
      */
-    function sfChangeRANDOM($sql) {
+    function sfChangeRANDOM($sql)
+    {
         $changesql = preg_replace('/(^|[^\w])RANDOM\(/i', '$1RAND(', $sql);
         return $changesql;
@@ -257,5 +272,6 @@
      * @return string 変換後の SQL 文
      */
-    function sfChangeTrunc($sql) {
+    function sfChangeTrunc($sql)
+    {
         $changesql = preg_replace('/(^|[^\w])TRUNC([^\w]|$)/i', '$1TRUNCATE$2', $sql);
         return $changesql;
@@ -269,5 +285,6 @@
      * @return string 変換後の SQL 文
      */
-    function sfChangeArrayToString($sql) {
+    function sfChangeArrayToString($sql)
+    {
         if (strpos(strtoupper($sql), 'ARRAY_TO_STRING') !== FALSE) {
             preg_match_all('/ARRAY_TO_STRING.*?\(.*?ARRAY\(.*?SELECT (.+?) FROM (.+?) WHERE (.+?)\).*?\,.*?\'(.+?)\'.*?\)/is', $sql, $match, PREG_SET_ORDER);
@@ -290,5 +307,6 @@
      * @return array インデックス設定情報配列
      */
-    function sfGetCreateIndexDefinition($table, $name, $definition) {
+    function sfGetCreateIndexDefinition($table, $name, $definition)
+    {
         $objQuery =& SC_Query_Ex::getSingletonInstance();
         $arrTblInfo = $objQuery->getTableInfo($table);
@@ -310,5 +328,6 @@
      * @return string
      */
-    function getDummyFromClauseSql() {
+    function getDummyFromClauseSql()
+    {
         return 'FROM DUAL';
     }
@@ -320,5 +339,6 @@
      * @return void
      */
-    function initObjQuery(SC_Query &$objQuery) {
+    function initObjQuery(SC_Query &$objQuery)
+    {
         $objQuery->exec('SET SESSION storage_engine = InnoDB');
         $objQuery->exec("SET SESSION sql_mode = 'ANSI'");