Index: /branches/version-2_12-dev/data/class/helper/SC_Helper_Category.php
===================================================================
--- /branches/version-2_12-dev/data/class/helper/SC_Helper_Category.php	(revision 22594)
+++ /branches/version-2_12-dev/data/class/helper/SC_Helper_Category.php	(revision 22595)
@@ -41,4 +41,24 @@
     {
         $this->count_check = $count_check;
+    }
+
+    /**
+     * カテゴリーの情報を取得.
+     * 
+     * @param integer $category_id カテゴリーID
+     * @return array
+     */
+    public function get($category_id)
+    {
+        $objQuery =& SC_Query_Ex::getSingletonInstance();
+        $col = '*';
+        $from = 'dtb_category left join dtb_category_total_count ON dtb_category.category_id = dtb_category_total_count.category_id';
+        $where = 'dtb_category.category_id = ? AND del_flg = 0';
+        // 登録商品数のチェック
+        if ($this->count_check) {
+            $where .= ' AND product_count > 0';
+        }
+        $arrRet = $objQuery->getRow($col, $from, $where, array($category_id));
+        return $arrRet;
     }
 
@@ -88,3 +108,16 @@
         return $arrTree;
     }
+
+    /**
+     * 親カテゴリーIDの配列を取得.
+     * 
+     * @param integer $category_id 起点のカテゴリーID
+     * @return array
+     */
+    public function getTreeTrail($category_id)
+    {
+        $arrCategory = $this->getList();
+        $arrTrailID = SC_Utils_Ex::getTreeTrail($category_id, 'category_id', 'parent_category_id', $arrCategory);
+        return $arrTrailID;
+    }
 }
Index: /branches/version-2_12-dev/data/class/helper/SC_Helper_DB.php
===================================================================
--- /branches/version-2_12-dev/data/class/helper/SC_Helper_DB.php	(revision 22590)
+++ /branches/version-2_12-dev/data/class/helper/SC_Helper_DB.php	(revision 22595)
@@ -461,21 +461,4 @@
 
     /**
-     * 指定したカテゴリIDのカテゴリを取得する.
-     *
-     * @param integer $category_id カテゴリID
-     * @return array 指定したカテゴリIDのカテゴリ
-     */
-    function sfGetCat($category_id)
-    {
-        $objQuery =& SC_Query_Ex::getSingletonInstance();
-
-        // カテゴリを取得する
-        $arrVal = array($category_id);
-        $res = $objQuery->select('category_id AS id, category_name AS name', 'dtb_category', 'category_id = ?', $arrVal);
-
-        return $res[0];
-    }
-
-    /**
      * 指定したカテゴリIDの大カテゴリを取得する.
      *
Index: /branches/version-2_12-dev/data/class/pages/frontparts/bloc/LC_Page_FrontParts_Bloc_Category.php
===================================================================
--- /branches/version-2_12-dev/data/class/pages/frontparts/bloc/LC_Page_FrontParts_Bloc_Category.php	(revision 22590)
+++ /branches/version-2_12-dev/data/class/pages/frontparts/bloc/LC_Page_FrontParts_Bloc_Category.php	(revision 22595)
@@ -135,5 +135,5 @@
         $arrCategory = $objCategory->getList();
         foreach ($arrParentCategoryId as $category_id) {
-            $arrParentID = SC_Utils_Ex::getTreeTrail($category_id, 'category_id', 'parent_category_id', $arrCategory);
+            $arrParentID = $objCategory->getTreeTrail($category_id);
             $arrBrothersID = SC_Utils_Ex::sfGetBrothersArray(
                 $arrCategory,
Index: /branches/version-2_12-dev/data/class/pages/products/LC_Page_Products_List.php
===================================================================
--- /branches/version-2_12-dev/data/class/pages/products/LC_Page_Products_List.php	(revision 22578)
+++ /branches/version-2_12-dev/data/class/pages/products/LC_Page_Products_List.php	(revision 22595)
@@ -294,6 +294,7 @@
             return '全商品';
         } else {
-            $arrCat = SC_Helper_DB_Ex::sfGetCat($category_id);
-            return $arrCat['name'];
+            $objCategory = new SC_Helper_Category_Ex();
+            $arrCat = $objCategory->get($category_id);
+            return $arrCat['category_name'];
         }
     }
Index: /branches/version-2_12-dev/data/class/pages/admin/products/LC_Page_Admin_Products_Category.php
===================================================================
--- /branches/version-2_12-dev/data/class/pages/admin/products/LC_Page_Admin_Products_Category.php	(revision 22567)
+++ /branches/version-2_12-dev/data/class/pages/admin/products/LC_Page_Admin_Products_Category.php	(revision 22595)
@@ -240,9 +240,6 @@
         $category_id = $objFormParam->getValue('category_id');
 
-        $objQuery =& SC_Query_Ex::getSingletonInstance();
-
-        // 編集対象のカテゴリ名をDBより取得する
-        $where = 'category_id = ?';
-        $arrRes = $objQuery->getRow('*', 'dtb_category', $where, array($category_id));
+        $objCategory = new SC_Helper_Category_Ex();
+        $arrRes = $objCategory->get($category_id);
 
         $objFormParam->setParam($arrRes);