Index: /branches/camp/camp-2_13-tax/html/install/index.php
===================================================================
--- /branches/camp/camp-2_13-tax/html/install/index.php	(revision 22567)
+++ /branches/camp/camp-2_13-tax/html/install/index.php	(revision 22619)
@@ -1119,4 +1119,5 @@
         array('dtb_api_config', 'api_config_id'),
         array('dtb_api_account', 'api_account_id'),
+        array('dtb_tax_rule', 'tax_rule_id'),
     );
 }
Index: /branches/camp/camp-2_13-tax/html/install/sql/drop_table.sql
===================================================================
--- /branches/camp/camp-2_13-tax/html/install/sql/drop_table.sql	(revision 21942)
+++ /branches/camp/camp-2_13-tax/html/install/sql/drop_table.sql	(revision 22619)
@@ -96,2 +96,3 @@
 DROP TABLE dtb_api_config;
 DROP TABLE dtb_api_account;
+DROP TABLE dtb_tax_rule;
Index: /branches/camp/camp-2_13-tax/html/install/sql/insert_data.sql
===================================================================
--- /branches/camp/camp-2_13-tax/html/install/sql/insert_data.sql	(revision 22551)
+++ /branches/camp/camp-2_13-tax/html/install/sql/insert_data.sql	(revision 22619)
@@ -1279,2 +1279,3 @@
 INSERT INTO dtb_index_list (table_name, column_name, recommend_flg, recommend_comment) VALUES ('dtb_product_categories', 'category_id', 2, 'カテゴリが多いときに試してみてください。');
 INSERT INTO dtb_index_list (table_name, column_name, recommend_flg, recommend_comment) VALUES ('mtb_zip', 'zipcode', 2, '郵便番号検索が遅いときに試してみてください。郵便番号データの更新時には無効にしていることをおすすめします。');
+INSERT INTO dtb_tax_rule (tax_rule_id, country_id, pref_id, product_id, product_class_id, calc_rule, tax_rate, tax_adjust, apply_date, del_flg, create_date,update_date) VALUES (0, 0, 0, 0, 0, 1, 5, 0, NULL, 0, CURRENT_TIMESTAMP,CURRENT_TIMESTAMP);
Index: /branches/camp/camp-2_13-tax/html/install/sql/create_table_mysql.sql
===================================================================
--- /branches/camp/camp-2_13-tax/html/install/sql/create_table_mysql.sql	(revision 22218)
+++ /branches/camp/camp-2_13-tax/html/install/sql/create_table_mysql.sql	(revision 22619)
@@ -1204,4 +1204,20 @@
 );
 
+CREATE TABLE dtb_tax_rule (
+    tax_rule_id int NOT NULL,
+    country_id int NOT NULL DEFAULT 0,
+    pref_id int NOT NULL DEFAULT 0,
+    product_id int NOT NULL DEFAULT 0,
+    product_class_id int NOT NULL DEFAULT 0,
+    calc_rule smallint NOT NULL DEFAULT 1,
+    tax_rate numeric NOT NULL DEFAULT 5,
+    tax_adjust numeric NOT NULL DEFAULT 0,
+    apply_date timestamp,
+    del_flg smallint NOT NULL DEFAULT 0,
+    create_date timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
+    update_date timestamp NOT NULL,
+    PRIMARY KEY (tax_rule_id)
+);
+
 
 CREATE INDEX dtb_customer_mobile_phone_id_key ON dtb_customer (mobile_phone_id(255));
Index: /branches/camp/camp-2_13-tax/html/install/sql/create_table_pgsql.sql
===================================================================
--- /branches/camp/camp-2_13-tax/html/install/sql/create_table_pgsql.sql	(revision 22218)
+++ /branches/camp/camp-2_13-tax/html/install/sql/create_table_pgsql.sql	(revision 22619)
@@ -1204,4 +1204,20 @@
 );
 
+CREATE TABLE dtb_tax_rule (
+    tax_rule_id int NOT NULL,
+    country_id int NOT NULL DEFAULT 0,
+    pref_id int NOT NULL DEFAULT 0,
+    product_id int NOT NULL DEFAULT 0,
+    product_class_id int NOT NULL DEFAULT 0,
+    calc_rule smallint NOT NULL DEFAULT 1,
+    tax_rate numeric NOT NULL DEFAULT 5,
+    tax_adjust numeric NOT NULL DEFAULT 0,
+    apply_date timestamp,
+    del_flg smallint NOT NULL DEFAULT 0,
+    create_date timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
+    update_date timestamp NOT NULL,
+    PRIMARY KEY (tax_rule_id)
+);
+
 
 CREATE INDEX dtb_customer_mobile_phone_id_key ON dtb_customer (mobile_phone_id);
Index: /branches/camp/camp-2_13-tax/data/class/helper/SC_Helper_TaxRule.php
===================================================================
--- /branches/camp/camp-2_13-tax/data/class/helper/SC_Helper_TaxRule.php	(revision 22619)
+++ /branches/camp/camp-2_13-tax/data/class/helper/SC_Helper_TaxRule.php	(revision 22619)
@@ -0,0 +1,58 @@
+<?php
+/*
+ * This file is part of EC-CUBE
+ *
+ * Copyright(c) 2000-2013 LOCKON CO.,LTD. All Rights Reserved.
+ *
+ * http://www.lockon.co.jp/
+ *
+ * This program is free software; you can redistribute it and/or
+ * modify it under the terms of the GNU General Public License
+ * as published by the Free Software Foundation; either version 2
+ * of the License, or (at your option) any later version.
+ *
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
+ */
+
+/**
+ * 会員規約を管理するヘルパークラス.
+ *
+ * @package Helper
+ * @author AMUAMU
+ * @version $Id:$
+ */
+class SC_Helper_TaxRule
+{
+
+    /**
+     * 税金情報に基づいて税金額を返す
+     *
+     * @param integer $price 計算対象の金額
+     * @return integer 税金額
+     */
+    function sfTax($price, $product_id = 0, $product_class_id = 0, $pref_id =0, $country_id = 0)
+    {
+        // 条件に基づいて税情報を取得
+        $objQuery =& SC_Query_Ex::getSingletonInstance();
+        $table = 'dtb_tax_rule';
+        $where = '(product_id = 0 OR product_id = ?)'
+                    . ' AND (product_class_id = 0 OR product_class_id = ?)'
+                    . ' AND (pref_id = 0 OR pref_id = ?)'
+                    . ' AND (country_id = 0 OR country_id = ?)';
+
+        $arrVal = array($product_id, $product_class_id, $pref_id, $country_id);
+        $order = 'apply_date DESC';
+        $objQuery->setOrder($order);
+        $arrData = $objQuery->select('*', $table, $where, $arrVal);
+        return $arrData[0]; //
+
+    }
+
+}
Index: /branches/camp/camp-2_13-tax/data/class_extends/helper_extends/SC_Helper_TaxRule_Ex.php
===================================================================
--- /branches/camp/camp-2_13-tax/data/class_extends/helper_extends/SC_Helper_TaxRule_Ex.php	(revision 22619)
+++ /branches/camp/camp-2_13-tax/data/class_extends/helper_extends/SC_Helper_TaxRule_Ex.php	(revision 22619)
@@ -0,0 +1,39 @@
+<?php
+/*
+ * This file is part of EC-CUBE
+ *
+ * Copyright(c) 2000-2013 LOCKON CO.,LTD. All Rights Reserved.
+ *
+ * http://www.lockon.co.jp/
+ *
+ * This program is free software; you can redistribute it and/or
+ * modify it under the terms of the GNU General Public License
+ * as published by the Free Software Foundation; either version 2
+ * of the License, or (at your option) any later version.
+ *
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
+ */
+
+// {{{ requires
+require_once CLASS_REALDIR . 'helper/SC_Helper_TaxRule.php';
+
+/**
+ * 税金計算を管理するヘルパークラス(拡張).
+ *
+ * LC_Helper_TaxRule をカスタマイズする場合はこのクラスを編集する.
+ *
+ * @package Helper
+ * @author AMUAMU
+ * @version $Id:$
+ */
+class SC_Helper_TaxRule_Ex extends SC_Helper_TaxRule
+{
+    //put your code here
+}