Index: /branches/camp/camp-2_13-tax/html/admin/basis/tax.php
===================================================================
--- /branches/camp/camp-2_13-tax/html/admin/basis/tax.php	(revision 22624)
+++ /branches/camp/camp-2_13-tax/html/admin/basis/tax.php	(revision 22624)
@@ -0,0 +1,34 @@
+<?php
+/*
+ * This file is part of EC-CUBE
+ *
+ * Copyright(c) 2000-2013 LOCKON CO.,LTD. All Rights Reserved.
+ *
+ * http://www.lockon.co.jp/
+ *
+ * This program is free software; you can redistribute it and/or
+ * modify it under the terms of the GNU General Public License
+ * as published by the Free Software Foundation; either version 2
+ * of the License, or (at your option) any later version.
+ *
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
+ */
+
+// {{{ requires
+require_once '../require.php';
+require_once CLASS_EX_REALDIR . 'page_extends/admin/basis/LC_Page_Admin_Basis_Tax_Ex.php';
+
+// }}}
+// {{{ generate page
+
+$objPage = new LC_Page_Admin_Basis_Tax_Ex();
+register_shutdown_function(array($objPage, 'destroy'));
+$objPage->init();
+$objPage->process();
Index: /branches/camp/camp-2_13-tax/data/class_extends/page_extends/admin/basis/LC_Page_Admin_Basis_Tax_Ex.php
===================================================================
--- /branches/camp/camp-2_13-tax/data/class_extends/page_extends/admin/basis/LC_Page_Admin_Basis_Tax_Ex.php	(revision 22624)
+++ /branches/camp/camp-2_13-tax/data/class_extends/page_extends/admin/basis/LC_Page_Admin_Basis_Tax_Ex.php	(revision 22624)
@@ -0,0 +1,71 @@
+<?php
+/*
+ * This file is part of EC-CUBE
+ *
+ * Copyright(c) 2000-2013 LOCKON CO.,LTD. All Rights Reserved.
+ *
+ * http://www.lockon.co.jp/
+ *
+ * This program is free software; you can redistribute it and/or
+ * modify it under the terms of the GNU General Public License
+ * as published by the Free Software Foundation; either version 2
+ * of the License, or (at your option) any later version.
+ *
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
+ */
+
+// {{{ requires
+require_once CLASS_REALDIR . 'pages/admin/basis/LC_Page_Admin_Basis_Tax.php';
+
+/**
+ * 税金管理 のページクラス(拡張).
+ *
+ * LC_Page_Admin_Basis_Tax をカスタマイズする場合はこのクラスを編集する.
+ *
+ * @package Page
+ * @author LOCKON CO.,LTD.
+ * @version $Id: LC_Page_Admin_Basis_Tax_Ex.php 22567 2013-03-09 12:18:54Z yomoro $
+ */
+class LC_Page_Admin_Basis_Tax_Ex extends LC_Page_Admin_Basis_Tax 
+{
+
+    // }}}
+    // {{{ functions
+
+    /**
+     * Page を初期化する.
+     *
+     * @return void
+     */
+    function init()
+    {
+        parent::init();
+    }
+
+    /**
+     * Page のプロセス.
+     *
+     * @return void
+     */
+    function process()
+    {
+        parent::process();
+    }
+
+    /**
+     * デストラクタ.
+     *
+     * @return void
+     */
+    function destroy()
+    {
+        parent::destroy();
+    }
+}
Index: /branches/camp/camp-2_13-tax/data/class/pages/admin/basis/LC_Page_Admin_Basis_Tax.php
===================================================================
--- /branches/camp/camp-2_13-tax/data/class/pages/admin/basis/LC_Page_Admin_Basis_Tax.php	(revision 22624)
+++ /branches/camp/camp-2_13-tax/data/class/pages/admin/basis/LC_Page_Admin_Basis_Tax.php	(revision 22624)
@@ -0,0 +1,107 @@
+<?php
+/*
+ * This file is part of EC-CUBE
+ *
+ * Copyright(c) 2000-2013 LOCKON CO.,LTD. All Rights Reserved.
+ *
+ * http://www.lockon.co.jp/
+ *
+ * This program is free software; you can redistribute it and/or
+ * modify it under the terms of the GNU General Public License
+ * as published by the Free Software Foundation; either version 2
+ * of the License, or (at your option) any later version.
+ *
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
+ */
+
+// {{{ requires
+require_once CLASS_EX_REALDIR . 'page_extends/admin/LC_Page_Admin_Ex.php';
+
+/**
+ * 税金管理 のページクラス.
+ *
+ * @package Page
+ * @author LOCKON CO.,LTD.
+ * @version $Id: LC_Page_Admin_Basis_Tax_Ex.php 22567 2013-03-09 12:18:54Z yomoro $
+ */
+class LC_Page_Admin_Basis_Tax extends LC_Page_Admin_Ex 
+{
+
+    // {{{ properties
+
+    /** エラー情報 */
+    var $arrErr;
+
+    // }}}
+    // {{{ functions
+
+    /**
+     * Page を初期化する.
+     *
+     * @return void
+     */
+    function init()
+    {
+        parent::init();
+        $this->tpl_mainpage = 'basis/tax.tpl';
+        $this->tpl_subno = 'tax';
+        $this->tpl_mainno = 'basis';
+        $this->tpl_maintitle = '基本情報管理';
+        $this->tpl_subtitle = '税金管理';
+        $masterData = new SC_DB_MasterData_Ex();
+        $this->arrPref = $masterData->getMasterData('mtb_pref');
+        $this->arrTAXCALCRULE = $masterData->getMasterData('mtb_taxrule');
+
+        //配信時刻の項目値設定
+        $this->objDate = new SC_Date();
+        // 配信時間の年を、「現在年~現在年＋１」の範囲に設定
+        for ($year=date("Y"); $year<=date("Y") + 1;$year++){
+            $arrYear[$year] = $year;
+        }
+        $this->arrYear = $arrYear;
+
+        for ($minutes=0; $minutes< 60; $minutes++){
+            $arrMinutes[$minutes] = $minutes;
+        }
+        $this->arrMinutes = $arrMinutes;
+
+    }
+
+    /**
+     * Page のプロセス.
+     *
+     * @return void
+     */
+    function process()
+    {
+        $this->action();
+        $this->sendResponse();
+    }
+
+    /**
+     * Page のアクション.
+     *
+     * @return void
+     */
+    function action()
+    {
+
+    }
+
+    /**
+     * デストラクタ.
+     *
+     * @return void
+     */
+    function destroy()
+    {
+        parent::destroy();
+    }
+}
Index: /branches/camp/camp-2_13-tax/data/Smarty/templates/admin/basis/tax.tpl
===================================================================
--- /branches/camp/camp-2_13-tax/data/Smarty/templates/admin/basis/tax.tpl	(revision 22624)
+++ /branches/camp/camp-2_13-tax/data/Smarty/templates/admin/basis/tax.tpl	(revision 22624)
@@ -0,0 +1,111 @@
+<script type="text/javascript" src="<!--{$smarty.const.ROOT_URLPATH}-->js/jquery.fancybox/jquery.mousewheel-3.0.4.pack.js"></script>
+<script type="text/javascript" src="<!--{$smarty.const.ROOT_URLPATH}-->js/jquery.fancybox/jquery.fancybox-1.3.4.pack.js"></script>
+<link rel="stylesheet" href="<!--{$smarty.const.ROOT_URLPATH}-->js/jquery.fancybox/jquery.fancybox-1.3.4.css" type="text/css" media="screen" />
+
+<form name="form1" id="form1" method="post" action="?">
+<input type="hidden" name="<!--{$smarty.const.TRANSACTION_ID_NAME}-->" value="<!--{$transactionid}-->" />
+<input type="hidden" name="mode" value="confirm" />
+<!--{* ▼登録テーブルここから *}-->
+<div id="basis" class="contents-main">
+
+<h2>税金管理</h2>
+
+    <!--{if count($arrTaxrule) > 0}-->
+    <table class="list">
+        <col width="5%" />
+        <col width="20%" />
+        <col width="20%" />
+        <col width="35%" />
+        <col width="10%" />
+        <col width="10%" />
+        <tr>
+            <th>ID</th>
+            <th>消費税率</th>
+            <th>課税規則</th>
+            <th>適用日時</th>
+            <th class="edit">編集</th>
+            <th class="delete">削除</th>
+        </tr>
+        <!--{section name=cnt loop=$arrTaxrule}-->
+        <tr style="background:<!--{if $tpl_tax_rule_id != $arrTaxrule[cnt].tax_rule_id}-->#ffffff<!--{else}--><!--{$smarty.const.SELECT_RGB}--><!--{/if}-->;">
+            <!--{assign var=tax_rule_id value=$arrTaxrule[cnt].tax_rule_id}-->
+            <td><!--{$tax_rule_id|h}--></td>
+            <td><!--{$arrTaxrule[cnt].name|h}--></td>
+            <td class="center">
+            <!--{if $tpl_tax_rule_id != $arrTaxrule[cnt].tax_rule_id}-->
+                <a href="?" onclick="fnModeSubmit('pre_edit', 'tax_rule_id', <!--{$arrTaxrule[cnt].tax_rule_id}-->); return false;">編集</a>
+            <!--{else}-->
+            編集中
+            <!--{/if}-->
+            </td>
+            <td class="center">
+            <!--{if $arrTaxrule[cnt].tax_rule_id == 0}-->
+                -
+            <!--{else}-->
+                <a href="?" onclick="fnModeSubmit('delete', 'tax_rule_id', <!--{$arrTaxrule[cnt].tax_rule_id}-->); return false;">削除</a>
+            <!--{/if}-->
+            </td>
+        </tr>
+        <!--{/section}-->
+    </table>
+    <!--{/if}-->
+    <table id="basis-tax-func">
+        <tr>
+            <th>消費税率<span class="attention"> *</span></th>
+            <td>
+                <span class="attention"><!--{$arrErr.tax_rate}--></span>
+                <input type="text" name="tax_rate" value="<!--{$arrForm.tax_rate|h}-->" maxlength="<!--{$smarty.const.PERCENTAGE_LEN}-->" size="6" class="box6" style="<!--{if $arrErr.tax_rate != ""}-->background-color: <!--{$smarty.const.ERR_COLOR}-->;<!--{/if}-->" /> ％
+            </td>
+        </tr>
+        <tr>
+            <th>課税規則<span class="attention"> *</span></th>
+            <td>
+                <span class="attention"><!--{$arrErr.tax_rule}--></span>
+                <!--{html_radios name="calc_rule" options=$arrTAXCALCRULE selected=$arrForm.calc_rule}-->
+            </td>
+        </tr>
+        <tr>
+            <th>適用日時<span class="attention"> *</span></th>
+            <td><!--{assign var=key value="apply_date_year"}-->
+                <span class="attention"><!--{$arrErr[$key]}--></span>
+                <select name="<!--{$key}-->" <!--{if $arrErr[$key] != ""}--><!--{sfSetErrorStyle}--><!--{/if}--> >
+                <option value="" selected="selected">------</option>
+                <!--{html_options options=$arrYear selected=$arrForm[$key]|h}-->
+                </select>年
+                <!--{assign var=key value="apply_date_month"}-->
+                <span class="attention"><!--{$arrErr[$key]}--></span>
+                <select name="<!--{$key}-->" <!--{if $arrErr[$key] != ""}--><!--{sfSetErrorStyle}--><!--{/if}--> >
+                <option value="" selected="selected">----</option>
+                <!--{html_options options=$objDate->getMonth() selected=$arrForm[$key]|h}-->
+                </select>月
+                <!--{assign var=key value="apply_date_day"}-->
+                <span class="attention"><!--{$arrErr[$key]}--></span>
+                <select name="<!--{$key}-->" <!--{if $arrErr[$key] != ""}--><!--{sfSetErrorStyle}--><!--{/if}--> >
+                <option value="" selected="selected">----</option>
+                <!--{html_options options=$objDate->getDay() selected=$arrForm[$key]|h}-->
+                </select>日
+                <!--{assign var=key value="apply_date_hour"}-->
+                <span class="attention"><!--{$arrErr[$key]}--></span>
+                <select name="<!--{$key}-->" <!--{if $arrErr[$key] != ""}--><!--{sfSetErrorStyle}--><!--{/if}--> >
+                <option value="" selected="selected">----</option>
+                <!--{html_options options=$objDate->getHour() selected=$arrForm[$key]|h}-->
+                </select>時
+                <!--{assign var=key value="apply_date_minutes"}-->
+                <span class="attention"><!--{$arrErr[$key]}--></span>
+                <select name="<!--{$key}-->" <!--{if $arrErr[$key] != ""}--><!--{sfSetErrorStyle}--><!--{/if}--> >
+                <option value="" selected="selected">----</option>
+                <!--{html_options options=$arrMinutes selected=$arrForm[$key]|h}-->
+                </select>分
+            </td>
+        </tr>
+    </table>
+
+    <div class="btn-area">
+        <ul>
+            <li><a class="btn-action" href="javascript:;" onclick="fnFormModeSubmit('form1', 'confirm', '', ''); return false;"><span class="btn-next">この内容で登録する</span></a></li>
+        </ul>
+    </div>
+</div>
+
+<!--{* ▲登録テーブルここまで *}-->
+</form>
Index: /branches/camp/camp-2_13-tax/data/Smarty/templates/admin/basis/subnavi.tpl
===================================================================
--- /branches/camp/camp-2_13-tax/data/Smarty/templates/admin/basis/subnavi.tpl	(revision 22206)
+++ /branches/camp/camp-2_13-tax/data/Smarty/templates/admin/basis/subnavi.tpl	(revision 22624)
@@ -25,4 +25,5 @@
 <ul class="level1">
 <li<!--{if $tpl_subno == 'index'}--> class="on"<!--{/if}--> id="navi-basis-index"><a href="<!--{$smarty.const.ROOT_URLPATH}--><!--{$smarty.const.ADMIN_DIR}-->basis/<!--{$smarty.const.DIR_INDEX_PATH}-->"><span>SHOPマスター</span></a></li>
+<li<!--{if $tpl_subno == 'tax'}--> class="on"<!--{/if}--> id="navi-basis-tax"><a href="<!--{$smarty.const.ROOT_URLPATH}--><!--{$smarty.const.ADMIN_DIR}-->basis/tax.php"><span>税金管理</span></a></li>
 <li<!--{if $tpl_subno == 'tradelaw'}--> class="on"<!--{/if}--> id="navi-basis-tradelaw"><a href="<!--{$smarty.const.ROOT_URLPATH}--><!--{$smarty.const.ADMIN_DIR}-->basis/tradelaw.php"><span>特定商取引法</span></a></li>
 <li<!--{if $tpl_subno == 'delivery'}--> class="on"<!--{/if}--> id="navi-basis-delivery"><a href="<!--{$smarty.const.ROOT_URLPATH}--><!--{$smarty.const.ADMIN_DIR}-->basis/delivery.php"><span>配送方法設定</span></a></li>